
Microsoft Visual Studio Solution File, Format Version 12.00
# Visual Studio 14
VisualStudioVersion = 14.0.25420.1
MinimumVisualStudioVersion = 10.0.40219.1
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apBoolean", "apBoolean\apBoolean.vcxproj", "{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apEntrySwitch", "apEntrySwitch\apEntrySwitch.vcxproj", "{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apUvRange", "apUvRange\apUvRange.vcxproj", "{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apChaosMosaic", "apChaosMosaic\apChaosMosaic.vcxproj", "{F5008C52-3846-4E97-A2E2-469151020F32}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apGrayBall", "apGrayBall\apGrayBall.vcxproj", "{A750850B-D551-4A7A-BD85-A43EAC09B457}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apParallaxMap", "apParallaxMap\apParallaxMap.vcxproj", "{5A75B594-5757-46A0-A498-7988EFFD2FDD}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apClosure", "apClosure\apClosure.vcxproj", "{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apOrenNayerBSDF", "apOrenNayerBSDF\apOrenNayerBSDF.vcxproj", "{A0279F67-6D8F-404F-9D13-76538301E683}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apMicrofacetBSDF", "apMicrofacetBSDF\apMicrofacetBSDF.vcxproj", "{D065D515-FA81-46F1-9BF5-2BD8830B379A}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apMicrofacetRefractionBSDF", "apMicrofacetRefractionBSDF\apMicrofacetRefractionBSDF.vcxproj", "{2BE54595-4B99-4E0C-B743-FBC00E7D8082}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apMetalBSDF", "apMetalBSDF\apMetalBSDF.vcxproj", "{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apHairBSDF", "apHairBSDF\apHairBSDF.vcxproj", "{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apZinkeBSDF", "apZinkeBSDF\apZinkeBSDF.vcxproj", "{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apInteriorMapping", "apInteriorMapping\apInteriorMapping.vcxproj", "{AF82561F-B596-4032-9674-A3D22BFCE7F0}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apSurfaceSample", "apSurfaceSample\apSurfaceSample.vcxproj", "{65D4408B-2D18-48B4-8132-63A0420E86DD}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apMotionVector", "apMotionVector\apMotionVector.vcxproj", "{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apIrradianceCache", "apIrradianceCache\apIrradianceCache.vcxproj", "{F7878B46-CB83-44D9-B1B2-D90590B4A956}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apCurveStandIn", "apCurveStandIn\apCurveStandIn.vcxproj", "{C0A60136-A1C2-456A-9D52-1AC63AE70566}"
EndProject
Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "apVolume", "apVolume\apVolume.vcxproj", "{3AF88D29-3590-4579-9ED6-FFF8F2311456}"
EndProject
Global
	GlobalSection(SolutionConfigurationPlatforms) = preSolution
		Debug|x64 = Debug|x64
		Debug|x86 = Debug|x86
		Release|x64 = Release|x64
		Release|x86 = Release|x86
	EndGlobalSection
	GlobalSection(ProjectConfigurationPlatforms) = postSolution
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Debug|x64.ActiveCfg = Debug|x64
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Debug|x64.Build.0 = Debug|x64
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Debug|x86.ActiveCfg = Debug|Win32
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Debug|x86.Build.0 = Debug|Win32
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Release|x64.ActiveCfg = Release|x64
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Release|x64.Build.0 = Release|x64
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Release|x86.ActiveCfg = Release|Win32
		{7CB4B958-2FA5-4B56-A435-FF15C61B7CD9}.Release|x86.Build.0 = Release|Win32
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Debug|x64.ActiveCfg = Debug|x64
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Debug|x64.Build.0 = Debug|x64
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Debug|x86.ActiveCfg = Debug|Win32
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Debug|x86.Build.0 = Debug|Win32
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Release|x64.ActiveCfg = Release|x64
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Release|x64.Build.0 = Release|x64
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Release|x86.ActiveCfg = Release|Win32
		{7884B635-79EE-4F4F-A2E6-351DC4FFE5D1}.Release|x86.Build.0 = Release|Win32
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Debug|x64.ActiveCfg = Debug|x64
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Debug|x64.Build.0 = Debug|x64
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Debug|x86.ActiveCfg = Debug|Win32
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Debug|x86.Build.0 = Debug|Win32
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Release|x64.ActiveCfg = Release|x64
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Release|x64.Build.0 = Release|x64
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Release|x86.ActiveCfg = Release|Win32
		{7DB572DF-1CA8-43EA-AF0B-286ABBF0EAEA}.Release|x86.Build.0 = Release|Win32
		{F5008C52-3846-4E97-A2E2-469151020F32}.Debug|x64.ActiveCfg = Debug|x64
		{F5008C52-3846-4E97-A2E2-469151020F32}.Debug|x64.Build.0 = Debug|x64
		{F5008C52-3846-4E97-A2E2-469151020F32}.Debug|x86.ActiveCfg = Debug|Win32
		{F5008C52-3846-4E97-A2E2-469151020F32}.Debug|x86.Build.0 = Debug|Win32
		{F5008C52-3846-4E97-A2E2-469151020F32}.Release|x64.ActiveCfg = Release|x64
		{F5008C52-3846-4E97-A2E2-469151020F32}.Release|x64.Build.0 = Release|x64
		{F5008C52-3846-4E97-A2E2-469151020F32}.Release|x86.ActiveCfg = Release|Win32
		{F5008C52-3846-4E97-A2E2-469151020F32}.Release|x86.Build.0 = Release|Win32
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Debug|x64.ActiveCfg = Debug|x64
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Debug|x64.Build.0 = Debug|x64
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Debug|x86.ActiveCfg = Debug|Win32
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Debug|x86.Build.0 = Debug|Win32
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Release|x64.ActiveCfg = Release|x64
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Release|x64.Build.0 = Release|x64
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Release|x86.ActiveCfg = Release|Win32
		{A750850B-D551-4A7A-BD85-A43EAC09B457}.Release|x86.Build.0 = Release|Win32
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Debug|x64.ActiveCfg = Debug|x64
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Debug|x64.Build.0 = Debug|x64
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Debug|x86.ActiveCfg = Debug|Win32
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Debug|x86.Build.0 = Debug|Win32
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Release|x64.ActiveCfg = Release|x64
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Release|x64.Build.0 = Release|x64
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Release|x86.ActiveCfg = Release|Win32
		{5A75B594-5757-46A0-A498-7988EFFD2FDD}.Release|x86.Build.0 = Release|Win32
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Debug|x64.ActiveCfg = Debug|x64
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Debug|x64.Build.0 = Debug|x64
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Debug|x86.ActiveCfg = Debug|Win32
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Debug|x86.Build.0 = Debug|Win32
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Release|x64.ActiveCfg = Release|x64
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Release|x64.Build.0 = Release|x64
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Release|x86.ActiveCfg = Release|Win32
		{DB51624F-B4D2-454B-B82D-01C1A1DA44A8}.Release|x86.Build.0 = Release|Win32
		{A0279F67-6D8F-404F-9D13-76538301E683}.Debug|x64.ActiveCfg = Debug|x64
		{A0279F67-6D8F-404F-9D13-76538301E683}.Debug|x64.Build.0 = Debug|x64
		{A0279F67-6D8F-404F-9D13-76538301E683}.Debug|x86.ActiveCfg = Debug|Win32
		{A0279F67-6D8F-404F-9D13-76538301E683}.Debug|x86.Build.0 = Debug|Win32
		{A0279F67-6D8F-404F-9D13-76538301E683}.Release|x64.ActiveCfg = Release|x64
		{A0279F67-6D8F-404F-9D13-76538301E683}.Release|x64.Build.0 = Release|x64
		{A0279F67-6D8F-404F-9D13-76538301E683}.Release|x86.ActiveCfg = Release|Win32
		{A0279F67-6D8F-404F-9D13-76538301E683}.Release|x86.Build.0 = Release|Win32
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Debug|x64.ActiveCfg = Debug|x64
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Debug|x64.Build.0 = Debug|x64
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Debug|x86.ActiveCfg = Debug|Win32
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Debug|x86.Build.0 = Debug|Win32
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Release|x64.ActiveCfg = Release|x64
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Release|x64.Build.0 = Release|x64
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Release|x86.ActiveCfg = Release|Win32
		{D065D515-FA81-46F1-9BF5-2BD8830B379A}.Release|x86.Build.0 = Release|Win32
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Debug|x64.ActiveCfg = Debug|x64
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Debug|x64.Build.0 = Debug|x64
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Debug|x86.ActiveCfg = Debug|Win32
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Debug|x86.Build.0 = Debug|Win32
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Release|x64.ActiveCfg = Release|x64
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Release|x64.Build.0 = Release|x64
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Release|x86.ActiveCfg = Release|Win32
		{2BE54595-4B99-4E0C-B743-FBC00E7D8082}.Release|x86.Build.0 = Release|Win32
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Debug|x64.ActiveCfg = Debug|x64
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Debug|x64.Build.0 = Debug|x64
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Debug|x86.ActiveCfg = Debug|Win32
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Debug|x86.Build.0 = Debug|Win32
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Release|x64.ActiveCfg = Release|x64
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Release|x64.Build.0 = Release|x64
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Release|x86.ActiveCfg = Release|Win32
		{2ACA60C6-E8F1-4B5D-9088-5A95F6813C0F}.Release|x86.Build.0 = Release|Win32
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Debug|x64.ActiveCfg = Debug|x64
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Debug|x64.Build.0 = Debug|x64
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Debug|x86.ActiveCfg = Debug|Win32
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Debug|x86.Build.0 = Debug|Win32
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Release|x64.ActiveCfg = Release|x64
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Release|x64.Build.0 = Release|x64
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Release|x86.ActiveCfg = Release|Win32
		{56B453EF-BD2A-4165-A834-17EB2C3FA0B1}.Release|x86.Build.0 = Release|Win32
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Debug|x64.ActiveCfg = Debug|x64
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Debug|x64.Build.0 = Debug|x64
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Debug|x86.ActiveCfg = Debug|Win32
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Debug|x86.Build.0 = Debug|Win32
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Release|x64.ActiveCfg = Release|x64
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Release|x64.Build.0 = Release|x64
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Release|x86.ActiveCfg = Release|Win32
		{9633BE9A-131A-453E-9AB9-CE77AEE9F72C}.Release|x86.Build.0 = Release|Win32
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Debug|x64.ActiveCfg = Debug|x64
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Debug|x64.Build.0 = Debug|x64
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Debug|x86.ActiveCfg = Debug|Win32
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Debug|x86.Build.0 = Debug|Win32
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Release|x64.ActiveCfg = Release|x64
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Release|x64.Build.0 = Release|x64
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Release|x86.ActiveCfg = Release|Win32
		{AF82561F-B596-4032-9674-A3D22BFCE7F0}.Release|x86.Build.0 = Release|Win32
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Debug|x64.ActiveCfg = Debug|x64
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Debug|x64.Build.0 = Debug|x64
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Debug|x86.ActiveCfg = Debug|Win32
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Debug|x86.Build.0 = Debug|Win32
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Release|x64.ActiveCfg = Release|x64
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Release|x64.Build.0 = Release|x64
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Release|x86.ActiveCfg = Release|Win32
		{65D4408B-2D18-48B4-8132-63A0420E86DD}.Release|x86.Build.0 = Release|Win32
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Debug|x64.ActiveCfg = Debug|x64
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Debug|x64.Build.0 = Debug|x64
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Debug|x86.ActiveCfg = Debug|Win32
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Debug|x86.Build.0 = Debug|Win32
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Release|x64.ActiveCfg = Release|x64
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Release|x64.Build.0 = Release|x64
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Release|x86.ActiveCfg = Release|Win32
		{F39996B4-EC69-4E59-BF5C-2CEA4E0E679A}.Release|x86.Build.0 = Release|Win32
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Debug|x64.ActiveCfg = Debug|x64
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Debug|x64.Build.0 = Debug|x64
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Debug|x86.ActiveCfg = Debug|Win32
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Debug|x86.Build.0 = Debug|Win32
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Release|x64.ActiveCfg = Release|x64
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Release|x64.Build.0 = Release|x64
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Release|x86.ActiveCfg = Release|Win32
		{F7878B46-CB83-44D9-B1B2-D90590B4A956}.Release|x86.Build.0 = Release|Win32
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Debug|x64.ActiveCfg = Debug|x64
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Debug|x64.Build.0 = Debug|x64
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Debug|x86.ActiveCfg = Debug|Win32
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Debug|x86.Build.0 = Debug|Win32
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Release|x64.ActiveCfg = Release|x64
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Release|x64.Build.0 = Release|x64
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Release|x86.ActiveCfg = Release|Win32
		{C0A60136-A1C2-456A-9D52-1AC63AE70566}.Release|x86.Build.0 = Release|Win32
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Debug|x64.ActiveCfg = Debug|x64
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Debug|x64.Build.0 = Debug|x64
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Debug|x86.ActiveCfg = Debug|Win32
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Debug|x86.Build.0 = Debug|Win32
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Release|x64.ActiveCfg = Release|x64
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Release|x64.Build.0 = Release|x64
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Release|x86.ActiveCfg = Release|Win32
		{3AF88D29-3590-4579-9ED6-FFF8F2311456}.Release|x86.Build.0 = Release|Win32
	EndGlobalSection
	GlobalSection(SolutionProperties) = preSolution
		HideSolutionNode = FALSE
	EndGlobalSection
	GlobalSection(ExtensibilityGlobals) = postSolution
		SolutionGuid = {4B60F505-AB1B-41D9-B844-9154DF64D5B4}
	EndGlobalSection
EndGlobal
